services:
  synapse-redis:
    image: redis:alpine
    container_name: synapse-redis
    restart: unless-stopped
    volumes:
      - synapse-redis-data:/data
    networks:
      - synapse

  synapse:
    image: "matrixdotorg/synapse:latest"
    restart: unless-stopped
    container_name: "synapse"
    depends_on:
      - synapse-redis
    environment:
      - TZ=DE
    volumes:
      - "/home/icke/synapse/data:/data"
      - "/home/icke/signalbot:/signal-bridge"
      - "/home/icke/whatsapp-bridge:/whatsapp-bridge"
      - "/home/icke/discord-bridge:/discord-bridge"
      - "/home/icke/telegram-bridge:/telegram-bridge"
      - "/etc/ssl/certs:/etc/ssl/certs:ro"
      - "/usr/local/share/ca-certificates:/usr/local/share/ca-certificates:ro"
      - "/etc/ssl/certs/ca-certificates.crt:/etc/ssl/certs/ca-certificates.crt:ro"
    ports:
      - "8008:8008"  # web port non ssl
      - "8448:8448"  # federation port
        #      - "3478:3478"  # coturn
    networks:
      - synapse

networks:
  synapse:
    driver: bridge

volumes:
  synapse-redis-data: